Package io.vertx.reactivex.ext.web

## Class FileUpload

- java.lang.Object
- - io.vertx.reactivex.ext.web.FileUpload

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class FileUpload
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents a file-upload from an HTTP multipart form submission.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<FileUpload>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileUpload​(FileUpload delegate)` |
    `FileUpload​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` | Try to cancel the file upload.
    `String` | `charSet()` |
    `String` | `contentTransferEncoding()` |
    `String` | `contentType()` |
    `Future<Void>` | `delete()` | Delete the uploaded file on the disk.
    `boolean` | `equals​(Object o)` |
    `String` | `fileName()` |
    `FileUpload` | `getDelegate()` |
    `int` | `hashCode()` |
    `String` | `name()` |
    `static FileUpload` | `newInstance​(FileUpload arg)` |
    `Completable` | `rxDelete()` | Delete the uploaded file on the disk.
    `long` | `size()` |
    `String` | `toString()` |
    `String` | `uploadedFileName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FileUpload> __TYPE_ARG

  - ### Constructor Detail

    - #### FileUpload

          public FileUpload​(FileUpload delegate)

    - #### FileUpload

          public FileUpload​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FileUpload getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### name

          public String name()

      Returns:
        the name of the upload as provided in the form submission

    - #### uploadedFileName

          public String uploadedFileName()

      Returns:
        the actual temporary file name on the server where the file was uploaded to.

    - #### fileName

          public String fileName()

      Returns:
        the file name of the upload as provided in the form submission

    - #### size

          public long size()

      Returns:
        the size of the upload, in bytes

    - #### contentType

          public String contentType()

      Returns:
        the content type (MIME type) of the upload

    - #### contentTransferEncoding

          public String contentTransferEncoding()

      Returns:
        the content transfer encoding of the upload - this describes how the upload was encoded in the form submission.

    - #### charSet

          public String charSet()

      Returns:
        the charset of the upload

    - #### cancel

          public boolean cancel()

      Try to cancel the file upload.
      Returns:
        `true` when the upload was cancelled, `false` when the upload is finished and the file is available

    - #### delete

          public Future<Void> delete()

      Delete the uploaded file on the disk.
      Returns:
        a future signaling when the file has been deleted

    - #### rxDelete

          public Completable rxDelete()

      Delete the uploaded file on the disk.
      Returns:
        a future signaling when the file has been deleted

    - #### newInstance

          public static FileUpload newInstance​(FileUpload arg)